>From 4001555303653e0a9093354a37b624ba503e508f Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Sat, 10 Jan 2009 21:08:21 +0100
Subject: [PATCH] directory.c now takes into account still images with the "vlc fake://image.ext" format.

---
 modules/access/directory.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/modules/access/directory.c b/modules/access/directory.c
index 9b9705a..db96999 100644
--- a/modules/access/directory.c
+++ b/modules/access/directory.c
@@ -33,6 +33,7 @@
 #include <vlc_common.h>
 #include <vlc_plugin.h>
 #include <vlc_access.h>
+#include <vlc_image.h>  
 
 #ifdef HAVE_SYS_TYPES_H
 #   include <sys/types.h>
@@ -419,16 +420,22 @@ static block_t *Block (access_t *p_access)
     }
 
     char *encoded = encode_URI_component (entry);
+
+    /* if entry is an image, use "fake" access_demux, else use "file" access */
+    char* access = image_Ext2Fourcc( entry ) ? "fake" : "file";
+
     free (entry);
+
     if (encoded == NULL)
         goto fatal;
+
     int len = asprintf (&entry,
-                        "  <track><location>file://%s/%s</location>\n" \
+                        "  <track><location>%s://%s/%s</location>\n" \
                         "   <extension application=\"http://www.videolan.org/vlc/playlist/0\">\n" \
                         "    <vlc:id>%d</vlc:id>\n" \
                         "   </extension>\n" \
                         "  </track>\n",
-                        current->uri, encoded, p_sys->i_item_count++);
+                        access, current->uri, encoded, p_sys->i_item_count++);
     free (encoded);
     if (len == -1)
         goto fatal;
-- 
1.5.2.5

